package com.mortals.xhx.module.device.service;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDCacheService;
import com.mortals.xhx.busiz.rsp.ApiResp;
import com.mortals.xhx.module.device.model.DeviceEntity;

import java.util.List;

/**
* DeviceService
*
* 设备 service接口
*
* @author zxfei
* @date 2022-03-09
*/
public interface DeviceService extends ICRUDCacheService<DeviceEntity,Long>{


    ApiResp<String> sendDeviceMessage(Long deviceId, String message , Context context);

    ApiResp<String> sendDeviceMessage(List<Long> deviceIds, String message , Context context);



}